/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "datos_cosultores_completos_facturacion")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findAll", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByConsultorCodigo", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.consultorCodigo = :consultorCodigo")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByNombreConsultor", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.nombreConsultor = :nombreConsultor")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByTerritorioCodigo", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.territorioCodigo = :territorioCodigo")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByConsultorTelefonoResidencia", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.consultorTelefonoResidencia = :consultorTelefonoResidencia")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByConsultorCelular", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.consultorCelular = :consultorCelular")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByDireccionCompleta", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.direccionCompleta = :direccionCompleta")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByCargoPendiente", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.cargoPendiente = :cargoPendiente")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByConsultorEstado", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.consultorEstado = :consultorEstado")
        , @NamedQuery(name = "DatosCosultoresCompletosFacturacion.findByConsultorTipoPago", query = "SELECT d FROM DatosCosultoresCompletosFacturacion d WHERE d.consultorTipoPago = :consultorTipoPago")})
public class DatosCosultoresCompletosFacturacion implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    @Id
    private String consultorCodigo;
    @Size(max = 100)
    @Column(name = "nombre_consultor")
    private String nombreConsultor;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "territorio_codigo")
    private String territorioCodigo;
    @Size(max = 9)
    @Column(name = "consultor_telefono_residencia")
    private String consultorTelefonoResidencia;
    @Size(max = 9)
    @Column(name = "consultor_celular")
    private String consultorCelular;
    @Size(max = 183)
    @Column(name = "direccion_completa")
    private String direccionCompleta;
    @Size(max = 5)
    @Column(name = "correlativo_reparto")
    private String correlativoReparto;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "cargo_pendiente")
    private Double cargoPendiente;
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_estado")
    private boolean consultorEstado;
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_tipo_pago")
    private boolean consultorTipoPago;
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_monto_limite")
    private Double consultorMontoLimite;
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_masivo")
    private boolean consultorMasivo;
    @Basic
    @Column(name = "consultor_iva")
    private boolean consultorIva;
    @Basic
    @Column(name = "fecha_recepcion")
    private Date fechaRecepcion;
    @Basic
    @Column(name = "dui")
    private String dui;
    @Basic
    @Column(name = "nit")
    private String nit;
    @Basic
    @Column(name = "nombre_corto")
    private String nombreCorto;

    public boolean isConsultorMasivo() {
        return consultorMasivo;
    }

    public void setConsultorMasivo(boolean consultorMasivo) {
        this.consultorMasivo = consultorMasivo;
    }

    public String getNombreCorto() {
        return nombreCorto;
    }

    public void setNombreCorto(String nombreCorto) {
        this.nombreCorto = nombreCorto;
    }

    public String getDui() {
        return dui;
    }

    public void setDui(String dui) {
        this.dui = dui;
    }

    public String getNit() {
        return nit;
    }

    public void setNit(String nit) {
        this.nit = nit;
    }

    public boolean isConsultorEstado() {
        return consultorEstado;
    }

    public boolean isConsultorTipoPago() {
        return consultorTipoPago;
    }

    public Double getConsultorMontoLimite() {
        return consultorMontoLimite;
    }

    public void setConsultorMontoLimite(Double consultorMontoLimite) {
        this.consultorMontoLimite = consultorMontoLimite;
    }

    public boolean isConsultorIva() {
        return consultorIva;
    }

    public void setConsultorIva(boolean consultorIva) {
        this.consultorIva = consultorIva;
    }

    public DatosCosultoresCompletosFacturacion() {
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getNombreConsultor() {
        return nombreConsultor;
    }

    public void setNombreConsultor(String nombreConsultor) {
        this.nombreConsultor = nombreConsultor;
    }

    public String getTerritorioCodigo() {
        return territorioCodigo;
    }

    public void setTerritorioCodigo(String territorioCodigo) {
        this.territorioCodigo = territorioCodigo;
    }

    public String getConsultorTelefonoResidencia() {
        return consultorTelefonoResidencia;
    }

    public void setConsultorTelefonoResidencia(String consultorTelefonoResidencia) {
        this.consultorTelefonoResidencia = consultorTelefonoResidencia;
    }

    public String getConsultorCelular() {
        return consultorCelular;
    }

    public void setConsultorCelular(String consultorCelular) {
        this.consultorCelular = consultorCelular;
    }

    public String getDireccionCompleta() {
        return direccionCompleta;
    }

    public void setDireccionCompleta(String direccionCompleta) {
        this.direccionCompleta = direccionCompleta;
    }

    public Double getCargoPendiente() {
        return cargoPendiente;
    }

    public void setCargoPendiente(Double cargoPendiente) {
        this.cargoPendiente = cargoPendiente;
    }

    public boolean getConsultorEstado() {
        return consultorEstado;
    }

    public void setConsultorEstado(boolean consultorEstado) {
        this.consultorEstado = consultorEstado;
    }

    public boolean getConsultorTipoPago() {
        return consultorTipoPago;
    }

    public void setConsultorTipoPago(boolean consultorTipoPago) {
        this.consultorTipoPago = consultorTipoPago;
    }

    public String getCorrelativoReparto() {
        return correlativoReparto;
    }

    public void setCorrelativoReparto(String correlativoReparto) {
        this.correlativoReparto = correlativoReparto;
    }

    public Date getFechaRecepcion() {
        return fechaRecepcion;
    }

    public void setFechaRecepcion(Date fechaRecepcion) {
        this.fechaRecepcion = fechaRecepcion;
    }
}
